Studio
Cancel native test result collection
Cancels a queued test before execution or stops collecting the result of a running test. Running integration effects may continue and are not rolled back. Cancelled evidence cannot become PASS; retries use the same operationId.
POST
/
api
/
v1
/
studio
/
sessions
/
{sessionId}
/
test-runs
/
{testRunId}
/
cancel
Cancel native test result collection
curl --request POST \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/test-runs/{testRunId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/test-runs/{testRunId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/test-runs/{testRunId}/cancel"
payload = { "operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)⌘I
Cancel native test result collection
curl --request POST \
--url https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/test-runs/{testRunId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/test-runs/{testRunId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/{sessionId}/test-runs/{testRunId}/cancel"
payload = { "operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
